Bug 710530 - ipa-nis-manage does not quit when an empty password is entered.
Summary: ipa-nis-manage does not quit when an empty password is entered.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-03 15:57 UTC by Gowrishankar Rajaiyan
Modified: 2015-01-04 23:49 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: It is not possible to break out of password prompting in ipa-nis-manage by passing in an empty password. Consequence: It isn't obvious how to get out of the command without having to provide an answer to the password prompt. Fix: Interpret a blank password as a desire to quit the command. Result: Entering an empty password will gracefully exit ipa-nis-manage.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:24:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Gowrishankar Rajaiyan 2011-06-03 15:57:01 UTC
Description of problem:


Version-Release number of selected component (if applicable):
Name        : ipa-server                   Relocations: (not relocatable)
Version     : 2.0.0                             Vendor: Red Hat, Inc.
Release     : 23.el6                        Build Date: Wed 20 Apr 2011
09:57:13 AM EDT
Install Date: Wed 18 May 2011 09:14:40 AM EDT      Build Host:
x86-003.build.bos.redhat.com
Group       : System Environment/Base       Source RPM:
ipa-2.0.0-23.el6.src.rpm
Size        : 2565882                          License: GPLv3+
Signature   : (none)
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.freeipa.org/
Summary     : The IPA authentication server


How reproducible:
Always

Steps to Reproduce:
1. # ipa-nis-manage enable
2. Enter empty password.

  
Actual results:
# ipa-nis-manage enable
Directory Manager password: 
Directory Manager password: 
Directory Manager password: 
Directory Manager password: 
Directory Manager password: 
Directory Manager password: 
Directory Manager password: 
Directory Manager password: 
Directory Manager password: 
Directory Manager password: 


Expected results:
Should quit stating "No password supplied". 

As of now the only way to quit is to enter an incorrect password.
Giving a blank password to a ldap query is as:

Enter LDAP Password: 
ldap_bind: Server is unwilling to perform (53)
        additional info: Unauthenticated binds are not allowed


Additional info:

Comment 2 Martin Kosek 2011-06-06 07:13:32 UTC
https://fedorahosted.org/freeipa/ticket/1284

Comment 3 Martin Kosek 2011-06-13 11:01:28 UTC
Upstream commits:
master: d2b483cbb3ca15a68115cf32cfaf89572259914e
ipa-2-0: ce875684b97b2a37aa3969f15fe3143f60329d77

Comment 5 Jenny Severance 2011-10-05 20:53:28 UTC
verified:

# ipa-nis-manage enable
Directory Manager password: 

No password supplied
# echo $?
1

version:
ipa-server-2.1.1-4.el6.x86_64

Comment 6 Rob Crittenden 2011-10-31 19:34:25 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: It is not possible to break out of password prompting in ipa-nis-manage by passing in an empty password.
Consequence: It isn't obvious how to get out of the command without having to provide an answer to the password prompt.
Fix: Interpret a blank password as a desire to quit the command.
Result: Entering an empty password will gracefully exit ipa-nis-manage.

Comment 7 errata-xmlrpc 2011-12-06 18:24:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.